Bug 1470845 - [abrt] xorg-x11-server-Xorg: OsLookupColor(): Segmentation fault at address 0x0
[abrt] xorg-x11-server-Xorg: OsLookupColor(): Segmentation fault at address 0x0
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:d3fb27bde889431ab103f4b393e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 15:32 EDT by Wolfgang Pfeiffer
Modified: 2017-10-21 14:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: Xorg.1.log.old (45.58 KB, text/plain)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details
File: backtrace (137 bytes, text/plain)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details
File: dmesg (86.46 KB, text/plain)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details
File: dso_list (164 bytes, text/plain)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (332 bytes, application/octet-stream)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.86 KB, application/octet-stream)
2017-07-13 15:32 EDT, Wolfgang Pfeiffer
no flags Details

  None (edit)
Description Wolfgang Pfeiffer 2017-07-13 15:32:15 EDT
Description of problem:
Tried to connect a TV monitor to a freshly installed Fedora 26 
(Upgraded via dnf from F25) via a mini display port cable. Got immediately logged 
out of a running Gnome xorg session to a new login:

$ lspci -nnk |grep -A 5 -i vga
00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06)
	Subsystem: Dell Device [1028:05aa]
	Kernel driver in use: i915
	Kernel modules: i915
00:03.0 Audio device [0403]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller [8086:0c0c] (rev 06)
	Subsystem: Dell Device [1028:05aa]
--
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Neptune XT [Radeon HD 8970M] [1002:6801]
	Subsystem: Dell Device [1028:05ad]
	Kernel driver in use: radeon
	Kernel modules: radeon
01:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series] [1002:aab0]
	Subsystem: Dell Device [1028:aab0]

---------------
$ dmesg | grep -E 'drm|radeon' | grep -iE 'firmware|microcode'
[    4.757495] [drm] Loading pitcairn Microcode
[    4.764327] [drm] Found VCE firmware/feedback version 50.0.1 / 17!

--------------------------------------
I'm writing this offline - missing an option currently to upload the relevant Xorg.log - trying later ..







Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.3-4.fc26

Additional info:
reporter:       libreport-2.9.1
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.11.9-200.fc25.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59c629]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fc60c2cc30f]
2: ? (?+0x50) [0x50]
Comment 1 Wolfgang Pfeiffer 2017-07-13 15:32:19 EDT
Created attachment 1297816 [details]
File: Xorg.1.log.old
Comment 2 Wolfgang Pfeiffer 2017-07-13 15:32:21 EDT
Created attachment 1297817 [details]
File: backtrace
Comment 3 Wolfgang Pfeiffer 2017-07-13 15:32:22 EDT
Created attachment 1297818 [details]
File: cpuinfo
Comment 4 Wolfgang Pfeiffer 2017-07-13 15:32:25 EDT
Created attachment 1297819 [details]
File: dmesg
Comment 5 Wolfgang Pfeiffer 2017-07-13 15:32:26 EDT
Created attachment 1297820 [details]
File: dso_list
Comment 6 Wolfgang Pfeiffer 2017-07-13 15:32:28 EDT
Created attachment 1297821 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 7 Wolfgang Pfeiffer 2017-07-13 15:32:29 EDT
Created attachment 1297822 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 8 Wolfgang Pfeiffer 2017-07-13 16:00:58 EDT
Just happened again: funny enough: after this latest crash I had the laptop still connected to the TV monitor: after the second try to login, and still connected to to TV monitor, an extra workspace on the TV monitor showed up:

xrandr output (crossing my fingers it won't crash X ... :) ...:

$ xrandr
Screen 0: minimum 320 x 200, current 3280 x 1080, maximum 8192 x 8192
eDP-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 381mm x 214mm
   1920x1080     60.05*+
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.04    60.00  
   960x720       60.00  
   928x696       60.05  
   896x672       60.01  
   800x600       60.00    60.32    56.25  
   700x525       59.98  
   640x512       60.02  
   640x480       60.00    59.94  
   512x384       60.00  
   400x300       60.32    56.34  
   320x240       60.05  
HDMI-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)
DisplayPort-1-0 connected 1360x768+1920+0 (normal left inverted right x axis y axis) 580mm x 320mm
   1360x768      60.02*+
   1920x1080     60.00    50.00    59.94    30.00    25.00    24.00    29.97    23.98  
   1920x1080i    60.00    60.00    50.00    59.94  
   1280x720      60.00    50.00    59.94  
   1024x768      60.00  
   800x600       60.32  
   720x576       50.00  
   720x576i      50.00  
   720x480       60.00    59.94  
   720x480i      60.00    59.94  
   640x480       60.00    59.94  
HDMI-1-2 disconnected (normal left inverted right x axis y axis)
HDMI-1-3 disconnected (normal left inverted right x axis y axis)
VGA-1-0 disconnected (normal left inverted right x axis y axis)
  1024x768 (0x5a) 65.000MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  800x600 (0x5b) 40.000MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  640x480 (0x63) 25.175MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.47KHz
        v: height  480 start  490 end  492 total  525           clock  59.94Hz


OK: no crash after entering xrandr ... :)

Please note that the resolution for the DisplayPort-1-0 seems to be correct: 1360x768 60.02 Hz, if I read the output correctly.
That's also near the resolution the TV manual says is supported: 1366x768 @ 60 Hz. The TV menu tho' identifies itself, as xrandr does, as a 1360x768 setting.

HTH

Wolfgang
Comment 9 Wolfgang Pfeiffer 2017-07-17 19:12:36 EDT
Similar to that one?
https://bugzilla.redhat.com/show_bug.cgi?id=1471951

Please note the crash described here (1470845) happened on a Dell (Alienware 19) machine like on 1471951. Different models, tho' ..
Comment 10 Wolfgang Pfeiffer 2017-07-18 15:24:37 EDT
Sorry: it's not an Alienware 19 here as I was writing previously, but an Alienw. 17 ...
Comment 11 Wolfgang Pfeiffer 2017-07-30 15:49:39 EDT
Any chance this issue will be fixed? Some time line available already, or an idea about the cause of the crash?

Given the backtrace it looks like xorg-x11-server 1.19 might be the culprit, or glibc 2.25

Please note that adding a monitor on Fedora 24 worked, with a few tweaks, rather well (it didn't on F25, IIRC):
https://lists.x.org/archives/xorg/2017-May/058744.html

On F24, IIUC last available xorg-x11-server
version was 1.18:
https://koji.fedoraproject.org/koji/packageinfo?packageID=63

and glibc 2.23:
https://koji.fedoraproject.org/koji/packageinfo?packageID=57

Provided I'm right with my guesses re. the cause of the fail:
Is there a safe way to force back both packages on F26 to their F24 versions?

Suggestions?

Thanks in anticipation,
Wolfgang
Comment 12 Gallock 2017-08-18 10:40:21 EDT
Description of problem:
Graphical problems with Dell Precision M4800
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M / R9 M270X/M370X] (rev ff)

There is no problems until I try to attach the laptop to my docking station with 2 displays attached via DisplayPort.
The problem accrues both when I put my laptop into the docking station in a running state, and when I power the computer on in the docking station.

Gnome chrashes when connecting computer to displays via display port and send me back to the login screen.

I´ve pick up this error message from the boot messages:

[ 176.091945] [drm:radeon_dp_link_train [radeon]] *ERROR* displayport link status failed
[ 176.096633] [drm:radeon_dp_link_train [radeon]] *ERROR* clock recovery failed
[ 176.307667] [drm:radeon_dp_link_train [radeon]] *ERROR* displayport link status failed
[ 176.312256] [drm:radeon_dp_link_train [radeon]] *ERROR* clock recovery failed
[ 176.557220] [drm:radeon_dp_link_train [radeon]] *ERROR* displayport link status failed
[ 176.561861] [drm:radeon_dp_link_train [radeon]] *ERROR* clock recovery failed
[ 176.765699] [drm:radeon_dp_link_train [radeon]] *ERROR* displayport link status failed
[ 176.767108] [drm:radeon_dp_link_train [radeon]] *ERROR* clock recovery failed

I can also see an related issue in the Xorg.0.log:

[ 318.218] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 318.370] (II) systemd-logind: got pause for 226:1
[ 318.370] (II) systemd-logind: got pause for 13:75
[ 318.370] (II) systemd-logind: got pause for 13:72
[ 318.370] (II) systemd-logind: got pause for 13:76
[ 318.370] (II) systemd-logind: got pause for 13:69
[ 318.370] (II) systemd-logind: got pause for 13:74
[ 318.370] (II) systemd-logind: got pause for 13:70
[ 318.370] (II) systemd-logind: got pause for 13:67
[ 318.370] (II) systemd-logind: got pause for 226:0
[ 318.370] (II) systemd-logind: got pause for 13:65
[ 318.370] (II) systemd-logind: got pause for 13:68
[ 318.370] (II) systemd-logind: got pause for 13:73
[ 318.370] (II) systemd-logind: got pause for 13:71
[ 318.370] (II) systemd-logind: got pause for 13:66
[ 377.392] (II) systemd-logind: got resume for 226:1
[ 377.402] (II) systemd-logind: got resume for 13:75
[ 377.414] (II) systemd-logind: got resume for 13:72
[ 377.422] (II) systemd-logind: got resume for 13:76
[ 377.430] (II) systemd-logind: got resume for 13:69
[ 377.438] (II) systemd-logind: got resume for 13:74
[ 377.446] (II) systemd-logind: got resume for 13:70
[ 377.454] (II) systemd-logind: got resume for 13:67
[ 380.690] (II) systemd-logind: got resume for 226:0
[ 380.691] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 380.745] (II) modeset(0): EDID vendor "LGD", prod id 812
[ 380.745] (II) modeset(0): Printing DDC gathered Modelines:
[ 380.745] (II) modeset(0): Modeline "1920x1080"x0.0 139.00 1920 1952 2016 2080 1080 1083 1089 1111 -hsync -vsync (66.8 kHz eP)
[ 380.745] (II) modeset(0): Modeline "1920x1080"x0.0 128.50 1920 2080 2320 2608 1080 1094 1102 1230 -hsync -vsync (49.3 kHz e)
[ 380.759] (EE) RADEON(G0): failed to set mode: No space left on device
[ 380.759] (EE)
Fatal server error:
[ 380.759] (EE) EnterVT failed for gpu screen 0
[ 380.759] (EE)
[ 380.759] (EE)
Please consult the Fedora Project support
at http://wiki.x.org
for help.
[ 380.759] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 380.759] (EE)
[ 380.760] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 380.783] (EE) Server terminated with error (1). Closing log file. 

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.3-4.fc26

Additional info:
reporter:       libreport-2.9.1
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59c629]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fe72206430f]
2: ? (?+0x50) [0x50]
Comment 13 Gallock 2017-08-18 10:57:54 EDT
Is this a related problem?
https://bugzilla.redhat.com/show_bug.cgi?id=1482986
Comment 14 Wolfgang Pfeiffer 2017-08-21 06:24:18 EDT
(In reply to Gallock from comment #13)
> Is this a related problem?
> https://bugzilla.redhat.com/show_bug.cgi?id=1482986

Yes, looks like it is: I don't understand the poster's full text, but it looks I have a similar problem when logging in to Gnome (both wayland or x11 session, IIRC): after logging in with the monitor attached via mini display port, the background is black on the external monitor: I can see the mouse moving on the second monitor, or see the mouse again while pulling an xterm window to the ext. monitor. The xterm window itself isn't seen there. This happens with the new installed linux 4.12-5 kernel. And
a notable change came with  that kernel: attaching the second monitor via minidisplay port does not crash me out of X any more. I get crashed out if I do something like:
xrandr --addmode DisplayPort-1-0  1360x768_60.00

No problem with a similar command for the HDMI cable/port here.

Plus: if you browse through similar bugs on bugzilla you'll note that quite a few seem to be related to similar Hardware like mine (Dell).

I suspect the whole issue a KMS thing: I had the minidisplay port working like a charm on F24: the difference was that on F24 KMS probably was not enabled - either because it wasn't set up, or because it didn't work. Now on F26 modesetting works for the internal Intel GPU, with the known problems:

F26:
$ xrandr --listproviders
Providers: number : 2
Provider 0: id: 0x6f cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 3 outputs: 3 associated providers: 1 name:modesetting
Provider 1: id: 0x49 cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 6 outputs: 4 associated providers: 1 name:PITCAIRN @ pci:0000:01:00.0

F24, pasted from a message I sent to an xorg list:
==========================

$ xrandr --listproviders
Providers: number : 3
Provider 0: id: 0x81 cap: 0xb, Source Output, Sink Output, Sink Offload crtcs: 4 outputs: 4 associated providers: 2
name:Intel
Provider 1: id: 0x59 cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 6 outputs: 4 associated
providers: 2 name:PITCAIRN @ pci:0000:01:00.0
Provider 2: id: 0x59 cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 6 outputs: 4 associated
providers: 2 name:PITCAIRN @ pci:0000:01:00.0
============================
full text:
https://lists.freedesktop.org/archives/xorg/2017-May/058744.html

If someone knows a way to disable KMS on F26 without disabling the firmware being loaded please let me know:
I started kernels with something like "nomodeset" or "i915.modeset=0" options attached one or two weeks
ago: result, IIRC: "xrandr --listproviders" ended up with zero providers, and the radeon GPU wasn't detected.
And no GPU firmware, IIRC, was loaded after booting.
But there might be a more efficient way to disable KMS - I simply haven't found it so far ...
Comment 15 Wolfgang Pfeiffer 2017-10-04 15:53:46 EDT
For those having a HDMI port on their machines this might be a work-around for the non-working mini display port: 

Connect a HDMI-cable with an external monitor; run 'xrandr' to see the HDMI resolution line for the attached monitor: if it says "1360x768" for the relevant port run the following four commands:

$ cvt 1360 768 
# 1360x768 59.80 Hz (CVT) hsync: 47.72 kHz; pclk: 84.75 MHz
Modeline "1360x768_60.00"   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync

[copy/paste the resulting 'Modeline' from above into the next command:]

$ xrandr --newmode "1360x768_60.00"   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync
$ xrandr --addmode HDMI-1 1360x768_60.00
$ xrandr --output HDMI-1 --mode 1360x768_60.00


Instead of the last line you might want to try something like this:

xrandr --output eDP-1 --auto  --output HDMI-1 --mode 1360x768_60.00  --rotate normal  --right-of eDP-1

with 'eDP-1' being the internal monitor ...

Seems to work here rather reliably on the above mentioned Alienware machine.

Another option for running 'cvt' might be  'gtf 1360 768 60.02' - 'gtf' additionally seems to need the refresh rate, available from the initial 'xrandr' output, it seems. Modelines from 'cvt' and 'gtf' might differ.

Good luck!
Comment 16 7metretosser 2017-10-21 14:41:28 EDT
Description of problem:
For the last week, I have been getting segmentation faults from tasks that involve GPU. However, I am unsure if it because of a software issue, or a hardware one.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.3-4.fc26

Additional info:
reporter:       libreport-2.9.1
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.13.5-200.fc26.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59c629]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fde6bbc13ff]
2: ? (?+0x50) [0x1aaf160]

Note You need to log in before you can comment on or make changes to this bug.